//
//  ContentView.swift
//  FirstAppSwiftUI
//
//  Created by Roman Vyjídáček on 16.03.2023.
//

import SwiftUI

struct ContentView: View {
    
    @State var personName: String = ""
    
    var body: some View {
        VStack() {
            TextField("Person name", text: $personName)
                .textFieldStyle(.roundedBorder)
                .padding()
            
            
            NavigationLink("Create") {
                PersonDetailView(personName: personName)
            }
            .buttonStyle(.borderedProminent)
            
            Spacer()
        }
        .padding()
        .navigationTitle("Create Person")
    }
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        NavigationView {
            ContentView()
        }
    }
}
